#pragma once

#include "CoreMinimal.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "UObject/NoExportTypes.h"
#include "K32Utilities.generated.h"

class ASurvivor;
class AKiller;

UCLASS(Blueprintable)
class UK32Utilities : public UBlueprintFunctionLibrary
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintPure)
	static bool IsSurvivorAbleToBeAffectedByPower(const ASurvivor* survivor, const AKiller* killer);

	UFUNCTION(BlueprintPure)
	static bool IsPodOutlineAndIndicatorVisible(const AKiller* killer);

	UFUNCTION(BlueprintPure)
	static bool DoesEmpReach(const FVector& launchPosition, const FVector& targetLocation, float rangeSquared);

public:
	UK32Utilities();
};

FORCEINLINE uint32 GetTypeHash(const UK32Utilities) { return 0; }
